--------
EINGABE:
--------

<?php
	$table_pre = "rex_".$REX['ADDON']['rxid']['tvsblog'];
	$art_table = $table_pre . "_articles";
	$cat_table = $table_pre . "_categories";

	$tvsblog_entries = "";
	
	echo "<h1>TVSBlog</h1><br />";

	if ("REX_VALUE[1]" == "")
		$tvsblog_entries = 5;
	else
		$tvsblog_entries = "REX_VALUE[1]";
?>

Anzahl Blogeintrge pro Seite: <input name="VALUE[1]" type="text" size="5" value="<?php echo $tvsblog_entries; ?>" />
<br />

Nur aus folgender Kategorie: 
<select name="VALUE[2]" class="rex-form-select">
	<option value=""></option>
	<?php
		$cat_sql = new rex_sql();
		$cat_sql->setQuery("SELECT * FROM " . $cat_table);

		if ($cat_sql->getRows() > 0 )
		{
			for ($i = 1; $i <= $cat_sql->getRows(); $i++)
			{
				if ("REX_VALUE[2]" == $cat_sql->getValue('id'))
					$selected = "selected";
				else
					$selected = "";
				echo '<option value="' . $cat_sql->getValue('id') . '" ' . $selected . '>' . htmlspecialchars($cat_sql->getValue('title')) . '</option>';
				$cat_sql->next();
			}
		}
	?>
</select>
<br /><br />


--------
AUSGABE:
--------

<?php

	// print_r($_POST);
	// print_r($_GET);	
	
	$table_pre = "rex_".$REX['ADDON']['rxid']['tvsblog'];
	$art_table = $table_pre . "_articles";
	$cat_table = $table_pre . "_categories";

	if ($_GET['post_id'] != "")
		$tvsblog_post_id = $_GET['post_id'];
	else
		$tvsblog_post_id = "";

	if ($_GET['tag'] != "")
		$tvsblog_tag = $_GET['tag'];
	else
		$tvsblog_tag = "";

	if ($_GET['tvsblog_start'] != "") {
		$tvsblog_start = $_GET['tvsblog_start'];
		$tvsblog_limit = "REX_VALUE[1]";
	}
	else
		if ("REX_VALUE[1]" == "") {
			$tvsblog_start = 0;
			$tvsblog_limit = 5;
		}
		else {
			$tvsblog_start = 0;
			$tvsblog_limit = "REX_VALUE[1]";
		}
	$sql_limit = " LIMIT " . $tvsblog_start . ", " . $tvsblog_limit;
	
	if ($_GET['tvsblog_category'] != "")
		$tvsblog_category = $_GET['tvsblog_category'];
	elseif ("REX_VALUE[2]" != "")
		$tvsblog_category = "REX_VALUE[2]";
	else
		$tvsblog_category = "";


	if($tvsblog_category != "") {
		$tvssql = " AND categories = " . $tvsblog_category;

		$sql = new rex_sql();
		$sql->setQuery("SELECT * FROM " . $cat_table . " WHERE id = REX_VALUE[2]");
		if ($sql->getRows() > 0 )
		{
			echo "<h1>Die neuesten Blogeintrge aus der Kategorie '" . $sql->getValue('title') . "':</h1>";
		}
	}
	else {
		$tvssql = "";
		echo "<h1>Blog</h1>";
	}
	
	if ($tvsblog_tag != "")
		$tvssql .= " AND keywords like '%" . $tvsblog_tag . "%'";
		
	// post_id hat Prioritt...
	if ($tvsblog_post_id != "")
		$tvssql .= " AND id = " . $tvsblog_post_id;
		
	$sql = new rex_sql();
	$sql->setQuery("SELECT * FROM " . $art_table . " WHERE status = 1 " . $tvssql . " ORDER BY create_date DESC ");
	$total_rows = $sql->getRows();
	
	$sql->setQuery("SELECT * FROM " . $art_table . " WHERE status = 1 " . $tvssql . " ORDER BY create_date DESC " . $sql_limit);

	if ($sql->getRows() > 0 )
	{
		for ($i = 1; $i <= $sql->getRows(); $i++) {
			echo "<div class=\"tvsblog_entry\">";
			echo "	<h2><a href='" . rex_getUrl('','', array('post_id'=>$sql->getValue('id')), '&amp;') . "'>" . $sql->getValue('title') . "</a></h2>";
			echo "	<div class=\"tvsblog_author\">";
			echo "		<p>Autor: " . $sql->getValue('create_user') . " am " . date("d.m.Y, H:i:s", $sql->getValue('create_date')) . "</p>";
			echo "	</div>";
			echo $sql->getValue('description');
			if ($sql->getValue('keywords') != "") {
				echo "	<div class=\"tags\">";
				echo "		<h5>Schlagworte:</h5>";
				$tags = explode(",", $sql->getValue('keywords'));
				$tags_out = "";
				foreach ($tags as $value) {
					$tags_out .= "<a href='" . rex_getUrl('','', array('tag'=>trim($value)), '&amp;') . "'>$value</a>, ";
				}
				$tags_out = substr($tags_out, 0, - 2);
				echo $tags_out;
				echo "	</div>";
			}
			echo "</div>";
			$sql->next();
		}
		
		if ($tvsblog_start > 0) {
			echo "<div class=\"tvsblog_navigation\">";
			echo "	<a href=\"" . rex_getUrl($target_id,'', array('tvsblog_start'=>trim($tvsblog_start - $tvsblog_limit), 'tvsblog_category'=>trim($tvsblog_category)), '&amp;') . "\">&laquo; Vorige Beitrge</a>";
			echo "</div>";
		}
		if (($tvsblog_start + $tvsblog_limit) < $total_rows) {
			echo "<div class=\"tvsblog_navigation\">";
			echo "	<a href=\"" . rex_getUrl($target_id,'', array('tvsblog_start'=>trim($tvsblog_start + $tvsblog_limit), 'tvsblog_category'=>trim($tvsblog_category)), '&amp;') . "\">Nchste Beitrge &raquo;</a>";
			echo "</div>";
		}
	}
	else
		echo "<h1>Noch keine Beitrge in dieser Kategorie</h1>";
?>