<?php

	/*
	 * Addon TVSBlog
	 * @author wandel[at]thavis[dot]com Michael Wandel
	 * @author <a href="http://www.thavis.com">www.thavis.com</a>
	 * @package redaxo4
	 * @version $Id: index.inc.php,v 1.0 2010/07/16 12:00:00 kills Exp $
	 */

	$art_table = $table_pre . "_articles";
	$cat_table = $table_pre . "_categories";
	$thispage = "tvsblog";
	$thissubpage = "categories";

	// print_r($_POST);
	// print_r($_GET);

	// Datenbank-Direktmanipulation ;-)
	
	if ($func == "write" && !isset($cancel))
	{
		$sql = new rex_sql();
		if ($mode == "add")
			$sql->setQuery("INSERT INTO " . $cat_table . " (title, create_date) VALUES ('" . $cat_title . "', " . time() . ")");
		else
			$sql->setQuery("UPDATE " . $cat_table . " SET title = '" . $cat_title . "' WHERE id = " .  $_POST['id']);
	}

	if ($func == "delete")
	{
		$sql = new rex_sql();
		$sql->setQuery("DELETE FROM " . $cat_table . " WHERE id = " . $_GET['id']);		
	}

	if ($func == "status")
	{
		$sql = new rex_sql();
		$sql->setQuery("UPDATE " . $cat_table . " SET status = NOT status WHERE id = " . $_GET['id']);		
	}

?>

<div class="rex-addon-output-v2">
	<form action="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>" method="post">
	<table class="rex-table" id="rex-articles">
		<caption>Liste der Kategorien</caption>
		<colgroup>
			<col width="30" />
			<col width="30" />
			<col width="*" />
			<col width="50" />
			<col width="50" />
			<col width="50" />
		</colgroup>
		<thead>
			<tr>
				<th class="rex-icon"><a class="rex-i-element rex-i-article-add _rex488_icon_article-new" href="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>&amp;func=add"><span class="rex-i-element-text">hinzufügen</span></a></th>
				<th>ID</th>
				<th>Titel</th>
				<th colspan="3">Funktion / Status</th>
			</tr>
		</thead>
		<tbody>
<?php

	$sql = new rex_sql();
	$sql->setQuery("SELECT * FROM " . $cat_table);

	if ($sql->getRows() > 0 )
	{
		for ($i = 1; $i <= $sql->getRows(); $i++) {
?>
			<tr>
				<td class="rex-icon"><a class="rex-i-element rex-i-article" href="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>&amp;func=edit&amp;id=<?php echo $sql->getValue('id'); ?>"><span class="rex-i-element-text">Editieren</span></a></td>
				<td><?php echo $sql->getValue('id'); ?></td>
				<td><a href="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>&amp;func=edit&amp;id=<?php echo $sql->getValue('id'); ?>"><?php echo htmlspecialchars($sql->getValue('title')); ?></a></td>
				<td><a href="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>&amp;func=edit&amp;id=<?php echo $sql->getValue('id'); ?>">ändern</a></td>
				<td><a href="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>&amp;func=delete&amp;id=<?php echo $sql->getValue('id'); ?>" onclick="return confirm('Sicher löschen?');">löschen</a></td>
<?php
				$status_description = ($sql->getValue('status') == 1) ? 'online' : 'offline';
				$status_classname = ($sql->getValue('status') == 1) ? 'rex-online' : 'rex-offline';
?>
				<td><a class="<?php echo $status_classname; ?>" href="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>&amp;func=status&amp;id=<?php echo $sql->getValue('id'); ?>"><?php echo $status_description; ?></a></td>
			</tr>
<?php
			$sql->next();
		}
	}
	else
	{
?>
		<tr>
			<td colspan="6" align="center">
				<p>Es sind noch keine Kategorien vorhanden.</p>
			</td>
		</tr>
<?php
	}
?>
		</tbody>
	</table>
	</form>
</div>

	<br />

<?php

	// Neue Kategorie anlegen
	if ($func == "add" || $func == "edit")
	{
		$cat_title = "";
		if ($func == "edit" && $_GET['id'] != "")
		{
			$sql = new rex_sql();
			$sql->setQuery("SELECT * FROM " . $cat_table . " WHERE id = " . $_GET['id']);
			if ($sql->getRows() > 0 )
			{
				$cat_title = $sql->getValue('title');
			}
			echo "<h2>Kategorie bearbeiten:</h2>";
		}
		else
			echo "<h2>Neue Kategorie eingeben:</h2>";
?>

	<br />

	<div class="rex-addon-output-v2">

		<div id="rex-addon-editmode" class="rex-form">
		<form action="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>" method="post">
			<fieldset class="rex-form-col-1">

				<input type="hidden" name="page" value="<?php echo $thispage; ?>" />
				<input type="hidden" name="subpage" value="<?php echo $thissubpage; ?>" />
				<input type="hidden" name="func" value="write" />
				<input type="hidden" name="mode" value="<?php echo $func; ?>" />
				<input type="hidden" name="id" value="<?php echo $_GET['id']; ?>" />

				<div class="rex-form-wrapper">

				<div class="rex-form-row">
					 <p class="rex-form-col-a rex-form-text">
						<label for="cat_title">Titel</label>
						<input id="cat_title" name="cat_title" type="text" class="rex-form-text" value="<?php echo $cat_title; ?>" />
					</p>
				</div>

				<div class="rex-form-row">
				</div>

				<div class="rex-form-row">
					<p class="rex-form-col-a rex-form-submit rex-form-submit-2">
						<input type="submit" name="submit" class="rex-form-submit submit" value="Speichern" />&nbsp;
						<input type="submit" name="cancel" class="rex-form-submit cancel" value="Abbrechen" />
					</p>
				</div>

			</div>
			</fieldset>
		</form>
		</div>
		
	</div>

<?php
	}

?>