<?php

	/*
	 * Addon <?php echo $thispage; ?>
	 * @author wandel[at]thavis[dot]com Michael Wandel
	 * @author <a href="http://www.thavis.com">www.thavis.com</a>
	 * @package redaxo4
	 * @version $Id: index.inc.php,v 1.0 2010/07/16 12:00:00 kills Exp $
	 */

	$art_table = $table_pre . "_articles";
	$cat_table = $table_pre . "_categories";
	$thispage = "tvsblog";
	$thissubpage = "articles";
	$myIniFile = $REX['INCLUDE_PATH'] . "/addons/" .$REX['ADDON']['name'][$thispage] . "/" . $REX['ADDON']['name'][$thispage] . ".ini";

	// print_r($_POST);
	// print_r($_GET);

	function generateRss() {
		
		global $REX;
		global $art_table;
		global $myIniFile;
		
		$settings = parse_ini_file($myIniFile);
		
		$filename = $REX['MEDIAFOLDER'] . '/tvsblog.xml';
		$file = @fopen($filename, "w-", $use_include_path);
		if ($file)
		{
			$output = "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>\n<rss version=\"2.0\"><channel>\n";
			$output .= "<title>" . $settings['rssTitle'] . "</title>\n";
			$output .= "<link>" . $settings['rssLink'] . "</link>\n";
			$output .= "<description>" . $settings['rssDescription'] . "</description>\n";
			$output .= "<language>" . $settings['rssLanguage'] . "</language>\n";
			$sql = new rex_sql();
			$sql->setQuery("SELECT * FROM " . $art_table . " ORDER BY id DESC");

			if ($sql->getRows() > 0 )
			{
				for ($i = 1; $i <= $sql->getRows(); $i++) {
					$output .= "<item>\n";
					$output .= "<title>" . $sql->getValue('title') . "</title>\n";
					$output .= "<description>" . $sql->getValue('description') . "</description>\n";
					$output .= "<link>http://" . $_SERVER["SERVER_NAME"] . "/index.php?article_id=" . $settings['blogArticle_id'] . "&post_id=" . $sql->getValue('id') . "</link>\n";
					$output .= "<pubDate>" . $sql->getValue('create_date') . "</pubDate>\n";
					$output .= "</item>\n";
					$sql->next();
				}
			}
			$output .= "</channel>\n</rss>\n";
			fwrite($file, $output);
			fclose($file);
		}
	}
	
	if ($func == "write" && !isset($cancel))
	{
		$sql = new rex_sql();
		if ($mode == "add")
			$sql->setQuery("INSERT INTO " . $art_table . " (categories, title, description, keywords, create_user, create_date) VALUES ('" . $kategorie . "', '" . $art_title . "', '" . $description . "', '" . $keywords . "', '" . $create_user . "', " . time() . ")");
		else
			$sql->setQuery("UPDATE " . $art_table . " SET categories = '" . $kategorie . "', title = '" . $art_title . "', description = '" . $description . "', keywords = '" . $keywords . "', create_user = '" . $create_user . "' WHERE id = " .  $_POST['id']);
		generateRss();
	}

	if ($func == "delete")
	{
		$sql = new rex_sql();
		$sql->setQuery("DELETE FROM " . $art_table . " WHERE id = " . $_GET['id']);		
		generateRss();
	}

	if ($func == "status")
	{
		$sql = new rex_sql();
		$sql->setQuery("UPDATE " . $art_table . " SET status = NOT status WHERE id = " . $_GET['id']);		
		generateRss();
	}

?>

<div class="rex-addon-output-v2">
	<form action="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>" method="post">
	<table class="rex-table" id="rex-articles">
		<caption>Liste der Artikel</caption>
		<colgroup>
			<col width="30" />
			<col width="30" />
			<col width="*" />
			<col width="50" />
			<col width="50" />
			<col width="50" />
		</colgroup>
		<thead>
			<tr>
				<th class="rex-icon"><a class="rex-i-element rex-i-article-add _rex488_icon_article-new" href="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>&amp;func=add"><span class="rex-i-element-text">hinzufügen</span></a></th>
				<th>ID</th>
				<th>Titel</th>
				<th colspan="3">Funktion / Status</th>
			</tr>
		</thead>
		<tbody>
<?php

	$sql = new rex_sql();
	$sql->setQuery("SELECT * FROM " . $art_table . " ORDER BY id DESC");

	if ($sql->getRows() > 0 )
	{
		for ($i = 1; $i <= $sql->getRows(); $i++) {
?>
			<tr>
				<td class="rex-icon"><a class="rex-i-element rex-i-article" href="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>&amp;func=edit&amp;id=<?php echo $sql->getValue('id'); ?>"><span class="rex-i-element-text">Editieren</span></a></td>
				<td><?php echo $sql->getValue('id'); ?></td>
				<td><a href="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>&amp;func=edit&amp;id=<?php echo $sql->getValue('id'); ?>"><?php echo htmlspecialchars($sql->getValue('title')); ?></a></td>
				<td><a href="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>&amp;func=edit&amp;id=<?php echo $sql->getValue('id'); ?>">ändern</a></td>
				<td><a href="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>&amp;func=delete&amp;id=<?php echo $sql->getValue('id'); ?>" onclick="return confirm('Sicher löschen?');">löschen</a></td>
<?php
				$status_description = ($sql->getValue('status') == 1) ? 'online' : 'offline';
				$status_classname = ($sql->getValue('status') == 1) ? 'rex-online' : 'rex-offline';
?>
				<td><a class="<?php echo $status_classname; ?>" href="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>&amp;func=status&amp;id=<?php echo $sql->getValue('id'); ?>"><?php echo $status_description; ?></a></td>
			</tr>
<?php
			$sql->next();
		}
	}
	else
	{
?>
		<tr>
			<td colspan="6" align="center">
				<p>Es sind noch keine Beiträge vorhanden.</p>
			</td>
		</tr>
<?php
	}
?>
		</tbody>
	</table>
	</form>
</div>

	<br />

<?php

	// Neuen Artikel anlegen
	if ($func == "add" || $func == "edit")
	{
		$kategorie = "";
		$art_title = "";
		$description = "";
		$keywords = "";
		$create_user = "";

		if ($func == "edit" && $_GET['id'] != "")
		{
			$sql = new rex_sql();
			$sql->setQuery("SELECT * FROM " . $art_table . " WHERE id = " . $_GET['id']);
			if ($sql->getRows() > 0 )
			{
				$kategorie = $sql->getValue('categories');
				$art_title = $sql->getValue('title');
				$description = $sql->getValue('description');
				$keywords = $sql->getValue('keywords');
				$create_user = $sql->getValue('create_user');
			}
			echo "<h2>Artikel bearbeiten:</h2>";
		}
		else
			echo "<h2>Neuen Artikel eingeben:</h2>";
?>

	<br />

	<script type="text/javascript" src="../files/addons/tinymce/tiny_mce/tiny_mce.js"></script>
	<script type="text/javascript" src="../files/addons/tinymce/tiny_mce/plugins/media/js/rexembed.js"></script>
	<script type="text/javascript" src="../files/addons/tinymce/tiny_mce_init.php?clang=0&amp;version=42" id="TinyMCEInit"></script>

	<div class="rex-addon-output-v2">

		<div id="rex-addon-editmode" class="rex-form">
		<form action="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>" method="post">
			<fieldset class="rex-form-col-1">

				<input type="hidden" name="page" value="<?php echo $thispage; ?>" />
				<input type="hidden" name="subpage" value="<?php echo $thissubpage; ?>" />
				<input type="hidden" name="func" value="write" />
				<input type="hidden" name="mode" value="<?php echo $func; ?>" />
				<input type="hidden" name="id" value="<?php echo $_GET['id']; ?>" />

				<div class="rex-form-wrapper">

				<div class="rex-form-row">
				 <p class="rex-form-col-a rex-form-select">
					<label for="kategorie">Kategorie</label>
					<select name="kategorie" class="rex-form-select">
					<option value=""></option>
					<?php
						$cat_sql = new rex_sql();
						$cat_sql->setQuery("SELECT * FROM " . $cat_table);

						if ($cat_sql->getRows() > 0 )
						{
							for ($i = 1; $i <= $cat_sql->getRows(); $i++)
							{
								if ($kategorie == $cat_sql->getValue('id'))
									$selected = "selected";
								else
									$selected = "";
								echo '<option value="' . $cat_sql->getValue('id') . '" ' . $selected . '>' . htmlspecialchars($cat_sql->getValue('title')) . '</option>';
								$cat_sql->next();
							}
						}
					?>
					</select>
					</p>
				</div>

				<div class="rex-form-row">
					 <p class="rex-form-col-a rex-form-text">
						<label for="art_title">Titel</label>
						<input id="art_title" name="art_title" type="text" class="rex-form-text" value="<?php echo $art_title; ?>" />
					</p>
				</div>

				<div class="rex-form-row">
					 <p class="rex-form-col-a rex-form-textarea">
						<label for="description">Beschreibung</label>
						<textarea name="description" class="tinyMCEEditor" style="width:550px; height:250px;">
						<?php echo $description; ?>
						</textarea>
					</p>
				</div>

				<div class="rex-form-row">
					 <p class="rex-form-col-a rex-form-text">
						<label for="keywords">Tags<br />(Mit Komma getrennt eingeben!)</label>
						<input id="keywords" name="keywords" type="text" class="rex-form-text" value="<?php echo $keywords; ?>" />
					</p>
				</div>

				<div class="rex-form-row">
					 <p class="rex-form-col-a rex-form-text">
						<label for="keywords">Autor:</label>
						<input id="create_user" name="create_user" type="text" class="rex-form-text" value="<?php echo $create_user; ?>" />
					</p>
				</div>

				<div class="rex-form-row">
				</div>

				<div class="rex-form-row">
					<p class="rex-form-col-a rex-form-submit rex-form-submit-2">
						<input type="submit" name="submit" class="rex-form-submit submit" value="Speichern" />&nbsp;
						<input type="submit" name="cancel" class="rex-form-submit cancel" value="Abbrechen" />
					</p>
				</div>

			</div>
			</fieldset>
		</form>
		</div>
		
	</div>

<?php
	}

?>